using FluentValidation;

namespace NetinaShop.Repository.Handlers.Reviews.Validators;

public class CreateReviewCommandValidator : AbstractValidator<CreateReviewCommand>
{
    public CreateReviewCommandValidator()
    {
        RuleFor(d => d.Title)
            .NotNull()
            .NotEmpty()
            .WithMessage("عنوان نظر مورد نظر را وارد کنید");

        RuleFor(d => d.Comment)
            .NotNull()
            .NotEmpty()
            .WithMessage("متن نظر مورد نظر را وارد کنید");

        RuleFor(d => d.ProductId)
            .NotEqual(Guid.Empty)
            .NotEmpty()
            .WithMessage("کالا مورد نظر را وارد کنید");
    }
}